Package org.eclipse.rdf4j.sail.nativerdf.model

## Class NativeIRI

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractIRI
  - - org.eclipse.rdf4j.model.impl.SimpleIRI
    - - org.eclipse.rdf4j.sail.nativerdf.model.NativeIRI

- All Implemented Interfaces:
    `Serializable`, `IRI`, `Resource`, `Value`, `NativeResource`, `NativeValue`

      public class NativeIRI
      extends SimpleIRI
      implements NativeResource

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.sail.nativerdf.model.NativeValue

      `UNKNOWN_ID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `NativeIRI​(ValueStoreRevision revision, int internalID)` |
    `` | `NativeIRI​(ValueStoreRevision revision, String uri)` |
    `` | `NativeIRI​(ValueStoreRevision revision, String uri, int internalID)` |
    `` | `NativeIRI​(ValueStoreRevision revision, String namespace, String localname)` |
    `` | `NativeIRI​(ValueStoreRevision revision, String namespace, String localname, int internalID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Compares this IRI to another object.
    `int` | `getInternalID()` | Gets the ID that is used in the native store for this Value.
    `ValueStoreRevision` | `getValueStoreRevision()` | Gets the revision of the value store that created this value.
    `void` | `setInternalID​(int internalID, ValueStoreRevision revision)` | Sets the ID that is used for this value in a specific revision of the value store.

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleIRI

      `getLocalName, getNamespace, setIRIString, stringValue`

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractIRI

      `hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.IRI

      `isIRI`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Resource

      `isResource`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isLiteral, isTriple, stringValue`

- - ### Constructor Detail

    - #### NativeIRI

          protected NativeIRI​(ValueStoreRevision revision,
                              int internalID)

    - #### NativeIRI

          public NativeIRI​(ValueStoreRevision revision,
                           String uri)

    - #### NativeIRI

          public NativeIRI​(ValueStoreRevision revision,
                           String uri,
                           int internalID)

    - #### NativeIRI

          public NativeIRI​(ValueStoreRevision revision,
                           String namespace,
                           String localname)

    - #### NativeIRI

          public NativeIRI​(ValueStoreRevision revision,
                           String namespace,
                           String localname,
                           int internalID)

  - ### Method Detail

    - #### setInternalID

          public void setInternalID​(int internalID,
                                    ValueStoreRevision revision)

      Description copied from interface: `NativeValue`
      Sets the ID that is used for this value in a specific revision of the value store.
      Specified by:
        `setInternalID` in interface `NativeValue`

    - #### getValueStoreRevision

          public ValueStoreRevision getValueStoreRevision()

      Description copied from interface: `NativeValue`
      Gets the revision of the value store that created this value. The value's internal ID is only valid when it's value store revision is equal to the value store's current revision.
      Specified by:
        `getValueStoreRevision` in interface `NativeValue`
      Returns:
        The revision of the value store that created this value at the time it last set the value's internal ID.

    - #### getInternalID

          public int getInternalID()

      Description copied from interface: `NativeValue`
      Gets the ID that is used in the native store for this Value.
      Specified by:
        `getInternalID` in interface `NativeValue`
      Returns:
        The value's ID, or `NativeValue.UNKNOWN_ID` if not yet set.

    - #### equals

          public boolean equals​(Object o)

      Description copied from interface: `IRI`
      Compares this IRI to another object.
      Specified by:
        `equals` in interface `IRI`
      Overrides:
        `equals` in class `AbstractIRI`
      Parameters:
        `o` - the object to compare this IRI to
      Returns:
        `true`, if the other object is an instance of `IRI` and their string values are equal; `false`, otherwise